%if 0%{?fedora} < 9
%global kde3    1
%endif

Name:           kid3
Version:        1.0
Release:        1%{?dist}
Summary:        Efficient ID3 tag editor

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://kid3.sourceforge.net/
Source0:        http://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?kde3}
BuildRequires:  kdelibs3-devel
%else
BuildRequires:  kdelibs4-devel
BuildRequires:  cmake
%endif
BuildRequires:  id3lib-devel
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  flac-devel
BuildRequires:  libtunepimp-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  perl(File::Spec)
BuildRequires:  gettext
Requires:       xdg-utils

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for.


%prep
%setup -q
sed -i -e 's|/lib /usr/lib\b|/%{_lib} %{_libdir}|g' configure # lib64 rpaths


%build
%if 0%{?kde3}
unset QTDIR ; . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath --disable-dependency-tracking
%else
%cmake_kde4 -DCMAKE_VERBOSE_MAKEFILE=ON
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
# deb-kde3/kid3.1 == deb-kde4/kid3-kde4.1 as of 1.0
install -Dpm 644 deb-kde3/kid3.1 $RPM_BUILD_ROOT%{_mandir}/man1/kid3.1

# preserve desktop entry location for from < 0.8 upgrades
mv $RPM_BUILD_ROOT%{_datadir}/applications/{kde*/kid3,fedora-kid3}.desktop
rmdir $RPM_BUILD_ROOT%{_datadir}/applications/kde*

%find_lang %{name}

abs2rel() { perl -MFile::Spec -e 'print File::Spec->abs2rel(@ARGV)' "$@" ; }
for file in $(find $RPM_BUILD_ROOT%{_docdir}/HTML -type l) ; do
  f=$(readlink $file) ; d=$(dirname ${file#$RPM_BUILD_ROOT})
  case "$f" in /*) rm -f $file ; ln -s $(abs2rel $f $d) $file ;; esac
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &>/dev/null || :
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :

%postun
update-desktop-database &>/dev/null || :
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_bindir}/kid3
%{_datadir}/applications/*kid3.desktop
%{_datadir}/icons/hicolor/*x*/apps/kid3.png
%{_datadir}/icons/hicolor/scalable/apps/kid3.svgz
%if 0%{?kde3}
%{_datadir}/apps/kid3/
%else
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/kde4/apps/kid3/
%endif
%lang(en) %{_docdir}/HTML/en/kid3/
%lang(de) %{_docdir}/HTML/de/
%{_mandir}/man1/kid3.1*


%changelog
* Thu Apr  3 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1
- 1.0, all patches applied upstream.

* Thu Jan  3 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.10-3
- Fix build with gcc 4.3's cleaned up C++ headers.

* Mon Dec  3 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.10-2
- Use xdg-open as the default browser.

* Sun Dec  2 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.10-1
- 0.10, desktop entry patch applied upstream.
- Build for KDE4 in F9+, KDE3 in earlier.

* Sun Dec  2 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.9-3
- BuildRequire libvorbis-devel, and kdelibs3-devel instead of kdelibs-devel.

* Thu Aug 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.9-2
- Remove Application Category and deprecated items from desktop entry.
- License: GPLv2+

* Wed Jun 13 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.9-1
- 0.9.

* Wed Feb 14 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-2
- Rebuild, drop workaround for #216783.

* Wed Nov 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-1
- 0.8.1, desktop entry fixes applied upstream.
- Re-enable musicbrainz support.

* Mon Oct  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-4
- Rebuild.

* Wed Sep 27 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-3
- Disable musicbrainz support by default, not ready for tunepimp 0.5 yet.

* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-2
- Rebuild.

* Thu Jun 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7-1
- 0.7, build with libtunepimp.
- Patch to register as a handler for more media types.
- Update desktop database at post(un)install time.
- Make symlinks relative.

* Wed Feb 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6-2
- Explicitly disable musicbrainz support for now, needs older libtunepimp
  than what's available in FE.
- Apply Debian's 0.6-2 patch, includes ogg tagging fix.
- Install man page.

* Mon Oct 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6-1
- 0.6, patches applied upstream.
- Clean up build dependencies.
- Improve summary and description.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.5-4
- Update GTK icon cache at (un)install time.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5-3
- rebuilt

* Sun Dec 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-2
- Apply patch for better non-latin1 filename support.
- Build with dependency tracking disabled.
- Trim dir ownership for FC3.

* Sat Jul 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.fdr.1
- Update to 0.5.

* Mon Feb  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.1
- Update to 0.4.

* Sat Nov  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.1
- First build.
